import 'package:flutter/material.dart';

import 'floating_widget.dart';

class DisconnectedWidget extends StatelessWidget {
  final Widget avatar;
  final EdgeInsets padding;
  final Function onPressed;
  final Text title;
  final Text message;
  final Widget tryAgainWidget;
  const DisconnectedWidget({this.padding, this.onPressed, Key key, this.avatar, this.title, this.message, this.tryAgainWidget})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    final portrait = MediaQuery.of(context).orientation == Orientation.portrait;

    return Padding(
      padding: padding,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Container(
            height: portrait ? 250 : 150,
            width: portrait ? 250 : 150,
            decoration: BoxDecoration(color: Colors.grey.withOpacity(.3), shape: BoxShape.circle),
            child: FloatingWidget(
              child: avatar ?? Icon(Icons.signal_cellular_connected_no_internet_4_bar, size: 30),
            ),
          ),
          if (title != null) title,
          if (message != null) message,
          if (portrait) const SizedBox(height: 12),
          if (tryAgainWidget != null) tryAgainWidget,
        ],
      ),
    );
  }
}
