import 'package:flutter/material.dart';

class ImageButton extends StatelessWidget {
  final width;
  final height;
  final Widget background;
  final child;
  final Color splashColor;
  final Color highlightColor;
  final Function onPressed;

  const ImageButton(
      {this.height = 135,
      this.background,
      this.child,
      this.highlightColor = Colors.white10,
      this.splashColor = Colors.white,
      this.width = 420,
      this.onPressed,
      Key key})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(bottom: 15),
      height: height,
      width: width,
      child: RaisedButton(
        elevation: 7,
        padding: EdgeInsets.all(0),
        clipBehavior: Clip.antiAlias,
        child: Stack(fit: StackFit.expand, alignment: Alignment.center, children: <Widget>[
          Positioned.fill(child: background),
          Center(child: child),
          Positioned.fill(
            child: Material(
              color: Colors.transparent,
              child: InkWell(
                onTap: onPressed,
                splashColor: splashColor.withOpacity(.2),
                highlightColor: highlightColor.withOpacity(.2),
              ),
            ),
          ),
        ]),
        onPressed: () {},
      ),
    );
  }
}
