import 'package:flutter/material.dart';
import 'package:overlay_support/overlay_support.dart';

class NotificationPopUp extends StatelessWidget {
  final String title;
  final String body;
  final Gradient gradient;
  final Widget leading;
  final BorderRadius borderRadius;
  final Color textColor;
  final Color backgroundColor;
  final Function onTap;

  NotificationPopUp({
    Key key,
    this.title,
    this.body,
    this.onTap,
    this.gradient,
    this.borderRadius,
    this.leading,
    this.backgroundColor,
    this.textColor = Colors.white,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SafeArea(
        child: GestureDetector(
      onHorizontalDragEnd: (_) => OverlaySupportEntry.of(context).dismiss(),
      child: Card(
        margin: EdgeInsets.all(7),
        shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(100)),
        child: Container(
          decoration: BoxDecoration(
            gradient: gradient,
            color: backgroundColor,
            borderRadius: borderRadius ?? BorderRadius.circular(50),
          ),
          child: ListTile(
            leading: leading,
            onTap: () {
              OverlaySupportEntry.of(context).dismiss();
              onTap();
            },
            title: Text(title ?? '', style: TextStyle(fontSize: 15, color: textColor)),
            subtitle: Text(body ?? '', style: TextStyle(fontSize: 10, color: textColor)),
            trailing: IconButton(color: textColor, icon: Icon(Icons.close), onPressed: () => OverlaySupportEntry.of(context).dismiss()),
          ),
        ),
      ),
    ));
  }
}
